SQLITE_LOCK_NONE(3) | Library Functions Manual | SQLITE_LOCK_NONE(3)

# NAME

`SQLITE_LOCK_NONE`, `SQLITE_LOCK_SHARED`, `SQLITE_LOCK_RESERVED`, `SQLITE_LOCK_PENDING`, `SQLITE_LOCK_EXCLUSIVE` —
File Locking Levels

# SYNOPSIS

`#define SQLITE_LOCK_NONE`
`#define SQLITE_LOCK_SHARED`
`#define SQLITE_LOCK_RESERVED`
`#define SQLITE_LOCK_PENDING`
`#define SQLITE_LOCK_EXCLUSIVE`

# DESCRIPTION

SQLite uses one of these integer values as the second argument to calls it makes to the xLock() and xUnlock() methods of an sqlite3_io_methods object.

# SEE ALSO

sqlite3_io_methods(3)

December 19, 2018 | NetBSD 9.0